# Generated by Django 5.0.4 on 2024-05-16 11:41

from django.db import migrations


def migrate_custom_page_headers(apps, schema_editor):
    DistrictCustomPage = apps.get_model("district", "DistrictCustomPage")
    Image = apps.get_model("wagtailimages", "Image")

    for page in DistrictCustomPage.objects.all():
        for block in page.content.get_prep_value():
            if block["type"] != "image_banner":
                continue

            page.title = block["value"]["headline"]
            page.main_image = Image.objects.filter(id=block["value"]["image"]).first()

        page.save()


class Migration(migrations.Migration):
    dependencies = [
        ("district", "0183_alter_districtcustompage_options_and_more"),
    ]

    operations = [migrations.RunPython(migrate_custom_page_headers)]
